Project

General

Profile

Bug #38831

balancer: Fix python3 compatibility

Added by Marius Schiffer 11 months ago. Updated 10 months ago.

Status:
Resolved
Priority:
Normal
Assignee:
-
Category:
balancer module
Target version:
-
% Done:

0%

Source:
Tags:
Backport:
nautilus
Regression:
No
Severity:
3 - minor
Reviewed:
Affected Versions:
ceph-qa-suite:
Pull request ID:
Crash signature:

Description

The balancer module throws an error when starting with a python3 interpreter:

Module 'balancer' has failed: 'dict_values' object does not support indexing

Related issues

Copied to mgr - Backport #38855: nautilus: balancer: Fix python3 compatibility Resolved

History

#1 Updated by Kefu Chai 11 months ago

  • Status changed from New to Fix Under Review
  • Pull request ID set to 27076

#2 Updated by Kefu Chai 11 months ago

  • Backport set to nautilus

#4 Updated by Kefu Chai 11 months ago

  • Status changed from Fix Under Review to Pending Backport

#5 Updated by Nathan Cutler 11 months ago

  • Copied to Backport #38855: nautilus: balancer: Fix python3 compatibility added

#6 Updated by Brad Hubbard 10 months ago

  • Status changed from Pending Backport to Resolved

Also available in: Atom PDF